# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=meson-python
PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="Double-Entry Accounting from Text Files"
HOMEPAGE="https://github.com/beancount/beancount"
SRC_URI="https://github.com/beancount/beancount/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm64"

DEPEND="
	dev-python/python-dateutil
	dev-python/click
	dev-python/pytest
	dev-python/python-magic
	dev-python/bottle"
RDEPEND="${DEPEND}"
BDEPEND=""

# Because I have no idea...
RESTRICT="test"
